package com.ss.android.ugc.aweme.share.api;

import X.0Gp;
import X.8qk;
import X.9DY;
import X.C10232jn;
import X.C10242jo;
import X.C10252jp;
import X.JM9;
import X.M12;
import X.MCz;
import X.PUr;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.ugc.aweme.network.RetrofitFactory;

public final class ShareQRCodeApi {
    public static final C10232jn LIZ = new C10232jn((byte) 0);

    public interface RealApi {
        static {
            Covode.recordClassIndex(106962);
        }

        @8qk
        @JM9(LIZ = "/tiktok/share/qrcode/create/v1/")
        0Gp<MCz> getUserQRCodeInfo(@PUr(LIZ = "schema_type") int i, @PUr(LIZ = "object_id") String str);
    }

    static {
        Covode.recordClassIndex(106961);
    }

    public final void LIZ(int i, String str, C10242jo r5) {
        M12.LIZ(r5);
        ((RealApi) RetrofitFactory.LIZ().LIZIZ(9DY.LJ).LIZJ().LIZ(RealApi.class)).getUserQRCodeInfo(i, str).LIZ(new C10252jp(r5));
    }
}
